.app.koboldworks {
	&.news,
	&.settings {
		min-height: 120px;
		min-width: 380px;

		.main-content {
			display: flex;
			flex-direction: column;
			height: 100%;
			overflow: hidden;
			gap: 0.3rem;

			p {
				min-height: unset;
			}

			> :is(.help, .hint) {
				flex: 0;
			}

			:is(.hint, .help) {
				font-size: var(--font-size-12);
				color: var(--color-text-dark-secondary);
				white-space: pre-wrap;
			}

			section.content {
				overflow-y: scroll;
				scrollbar-width: auto;
				scrollbar-color: var(--pf1-scrollbar-handle, darkred)
					var(--pf1-scrollbar-background, transparent);

				//padding: 0.5em;
				display: flex;
				flex-direction: column;
				gap: 0.2rem;

				.hint {
					flex: 1 100%;

					padding: 0 0.3em;
					margin: 0;
					margin-left: 1.5em;

					&:before {
						font-family: 'Font Awesome 5 Free';
						font-weight: 900;
					}

					&.lh-notification {
						&:before {
							content: '\f05a ';
						}

						color: #766020;
					}

					&.lh-warning {
						&:before {
							content: '\f071 ';
						}

						color: #680f0f;
					}
				}

				:is(.requirements, .conflicts) {
					font-size: var(--font-size-11);
				}

				.group {
					margin: 0;
					padding: 0.3em 0;

					ul {
						list-style: none;
						padding: 0;
						margin: 0;

						display: flex;
						flex-direction: column;
						gap: 0.5rem;
					}

					//margin-bottom: 0.5em;

					//padding: 0.3rem 0.5rem;

					.title {
						border-bottom: 2px solid #99877057;
						font-size: var(--font-size-16);
						font-weight: bold;
						margin: 0;
						margin-bottom: 0.3rem;
					}

					input[type='checkbox'] {
						margin: 0;
						width: 1rem;
						height: 1rem;
						flex: 0 1rem;
					}

					.setting[data-setting-id] {
						display: flex;
						flex-direction: row;
						gap: 3px;
						column-gap: 0.5rem;

						flex-wrap: wrap;

						align-items: center;

						border-radius: 7px;
						padding: 0 0.5em;

						&.disabled {
							opacity: 0.7;
						}

						&.gm {
							background-color: #ff00000d;
						}

						.gm-only {
							flex: 0;
						}

						&:hover {
							box-shadow: 0 0 15px #0000006b;
							background-color: #00ffff0d;

							label,
							.hint {
								filter: contrast(200%);
							}
						}

						label {
							display: flex;
							flex-flow: row nowrap;
							gap: 0.3em;
							align-items: center;

							// Required for GM marker
							flex: 1;

							.setting-name {
								flex: 1;
							}
						}

						> i {
							flex: 0 1rem;
						}

						input[type='checkbox']:hover {
							filter: hue-rotate(94deg) grayscale(0.7);
						}

						.sub-settings {
							flex: 1;
							margin-left: 1.3rem;
							padding: 0.1em 0.3em;
							margin-bottom: 0.3em;
							display: flex;
							flex-direction: column;

							border: 2px groove;
							border-radius: 0.5em;

							button {
								flex: 0;
								white-space: nowrap;
							}
						}
					}
				}
			}

			.search-match-inner {
				//background-color: cornflowerblue;
			}

			.search-match {
				//background-color: orange;
			}

			.group.search-mismatch,
			.group:not(.search-match) .search-mismatch {
				//background-color: greenyellow;
				display: none !important;
			}

			.buttons {
				display: flex;
				flex-direction: row;
				flex-flow: wrap;
				flex: 0;
				justify-items: center;
				align-items: center;

				button {
					flex: 1;
					background: rgba(0, 0, 0, 0.1);
					border: 2px groove var(--color-border-light-highlight);
				}
			}
		}
	}
}
